check_container_size.hpp File Reference
`#include "msgpack/v1/adaptor/check_container_size_decl.hpp"`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

struct | msgpack::container_size_overflow

## Namespaces

| msgpack
| msgpack::detail

## Functions

template<std::size_t N>
void | msgpack::detail::check_container_size (std::size_t size)
template<>
void | msgpack::detail::check_container_size< 4 > (std::size_t)
template<std::size_t N>
void | msgpack::detail::check_container_size_for_ext (std::size_t size)
template<>
void | msgpack::detail::check_container_size_for_ext< 4 > (std::size_t size)
template<typename T >
uint32_t | msgpack::checked_get_container_size (T size)